/*
 * arch_def.c
 *
 * Copyright (C) 2019  Alison G. Watson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "arch_def.h"

char const platform_names[][16] = {
	[PLATFRM_BSD]       = "BSD",
	[PLATFRM_DREAMCAST] = "Dreamcast",
	[PLATFRM_LINUX]     = "Linux",
	[PLATFRM_OSX]       = "OSX",
	[PLATFRM_UNIX]      = "*nix",
	[PLATFRM_WINDOWS]   = "Windows",

	[PLATFRM_IRIX]      = "IRIX",
	[PLATFRM_SWITCH]    = "Switch",
	[PLATFRM_WII]       = "Wii",
	[PLATFRM_PLAN9]     = "plan9",
};

